Boost logo

Boost-Commit :

Subject: [Boost-commit] svn:boost r62377 - trunk/libs/filesystem
From: bdawes_at_[hidden]
Date: 2010-06-02 08:12:52


Author: bemandawes
Date: 2010-06-02 08:12:49 EDT (Wed, 02 Jun 2010)
New Revision: 62377
URL: http://svn.boost.org/trac/boost/changeset/62377

Log:
Add bash scripts to change versions
Added:
   trunk/libs/filesystem/change_to_v2.sh (contents, props changed)
   trunk/libs/filesystem/change_to_v3.sh (contents, props changed)
   trunk/libs/filesystem/version.sh (contents, props changed)
Text files modified:
   trunk/libs/filesystem/dual_versions.html | 14 ++++++++++++--
   1 files changed, 12 insertions(+), 2 deletions(-)

Added: trunk/libs/filesystem/change_to_v2.sh
==============================================================================
--- (empty file)
+++ trunk/libs/filesystem/change_to_v2.sh 2010-06-02 08:12:49 EDT (Wed, 02 Jun 2010)
@@ -0,0 +1,35 @@
+@echo off
+# Change to version 2
+
+# Copyright Beman Dawes 2010
+
+# Distributed under the Boost Software License, Version 1.0.
+# See http://www.boost.org/LICENSE_1_0.txt
+
+echo Change to version 2
+
+if [ ! -f "src/unique_path.cpp" ]; then
+ echo Error: version 2 already in use
+ exit 1
+fi
+
+echo Deleting v3 files...
+
+rm ../../boost/filesystem.hpp index.html
+rm -r ../../boost/filesystem
+rm -r build doc example src test
+
+echo Copying v2 files...
+
+cp v2/boost/filesystem.hpp ../../boost
+cp -r v2/boost/filesystem ../../boost/filesystem
+cp v2/libs/index.html .
+cp -r v2/libs/build .
+cp -r v2/libs/doc .
+cp -r v2/libs/example .
+cp -r v2/libs/src .
+cp -r v2/libs/test .
+
+echo Copying complete. Version 2 files now ready to use.
+
+echo You must now rebuild Boost.Filesystem object libraries.

Added: trunk/libs/filesystem/change_to_v3.sh
==============================================================================
--- (empty file)
+++ trunk/libs/filesystem/change_to_v3.sh 2010-06-02 08:12:49 EDT (Wed, 02 Jun 2010)
@@ -0,0 +1,53 @@
+#!/usr/bin/env bash
+
+# Change to version 3
+
+# Copyright Beman Dawes 2010
+
+# Distributed under the Boost Software License, Version 1.0.
+# See http://www.boost.org/LICENSE_1_0.txt
+
+echo Change to version 3
+
+if [ -f "src/unique_path.cpp" ]; then
+ echo Error: version 3 already in use
+ exit 1
+fi
+
+if [ ! -d "v2" ];then
+ echo Making a copy of version 2 files...
+ mkdir v2
+ pushd v2
+ mkdir boost
+ mkdir libs
+ popd
+ cp ../../boost/filesystem.hpp v2/boost
+ cp -r ../../boost/filesystem v2/boost
+ cp index.html v2/libs
+ cp -r build v2/libs
+ cp -r doc v2/libs
+ cp -r example v2/libs
+ cp -r src v2/libs
+ cp -r test v2/libs
+fi
+
+echo Deleting v2 files...
+
+rm ../../boost/filesystem.hpp index.html
+rm -r ../../boost/filesystem
+rm -r build doc example src test
+
+echo Copying v3 files...
+
+cp v3/boost/filesystem.hpp ../../boost
+cp -r v3/boost/filesystem ../../boost
+cp v3/libs/filesystem/index.html .
+cp -r v3/libs/filesystem/build .
+cp -r v3/libs/filesystem/doc .
+cp -r v3/libs/filesystem/example .
+cp -r v3/libs/filesystem/src .
+cp -r v3/libs/filesystem/test .
+
+echo Copying complete. Version 3 files now ready to use.
+
+echo You must now rebuild Boost.Filesystem object libraries.

Modified: trunk/libs/filesystem/dual_versions.html
==============================================================================
--- trunk/libs/filesystem/dual_versions.html (original)
+++ trunk/libs/filesystem/dual_versions.html 2010-06-02 08:12:49 EDT (Wed, 02 Jun 2010)
@@ -44,6 +44,9 @@
 <p>The scripts for both Windows and Unix-like systems are provided in <code><i>
 boost-root</i>/libs/filesystem</code>. They must be run from that directory.</p>
 
+<p><b>Caution:</b> The scripts do not switch object libraries. After switching
+to a different version, the Filesystem object libraries must be rebuilt.</p>
+
 <h3>Windows</h3>
 
 <ul>
@@ -57,11 +60,18 @@
 
 <h3>Unix-like operating systems</h3>
 
-<p><i>To be supplied</i></p>
+<ul>
+ <li><code>version.sh</code> - Displays the version
+ number currently in use.</li>
+ <li><code>change_to_v2.sh</code> - Changes
+ version currently in use to version 2.</li>
+ <li><code>change_to_v3.sh</code> - Changes
+ version currently in use to version 3.</li>
+</ul>
 
 <hr>
 <p>Revised
-<!--webbot bot="Timestamp" S-Type="EDITED" S-Format="%d %B, %Y" startspan -->01 June, 2010<!--webbot bot="Timestamp" endspan i-checksum="19838" --></p>
+<!--webbot bot="Timestamp" S-Type="EDITED" S-Format="%d %B, %Y" startspan -->02 June, 2010<!--webbot bot="Timestamp" endspan i-checksum="19840" --></p>
 
 <p>© Copyright Beman Dawes, 2010</p>
 <p> Use, modification, and distribution are subject to the Boost Software

Added: trunk/libs/filesystem/version.sh
==============================================================================
--- (empty file)
+++ trunk/libs/filesystem/version.sh 2010-06-02 08:12:49 EDT (Wed, 02 Jun 2010)
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+# Display version number
+
+# Copyright Beman Dawes 2010
+
+# Distributed under the Boost Software License, Version 1.0.
+# See http://www.boost.org/LICENSE_1_0.txt
+
+if [ -f "src/unique_path.cpp" ]; then
+ echo Version 3
+else
+ echo Version 2
+fi


Boost-Commit list run by bdawes at acm.org, david.abrahams at rcn.com, gregod at cs.rpi.edu, cpdaniel at pacbell.net, john at johnmaddock.co.uk